Bug 471590 - pulseaudio should require /usr/bin/pactl
pulseaudio should require /usr/bin/pactl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 09:55 EST by Ralf Corsepius
Modified: 2008-12-18 10:01 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-18 10:01:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2008-11-14 09:55:51 EST
Description of problem:

A packaging bug:

/usr/bin/start-pulseaudio-x11 (from package pulseaudio)
unconditionally uses 
/usr/bin/pactl (from package pulseaudio-utils)


However, the pulseaudio package does not require pulseaudio-utils.

=> yum install pulseaudio
will miss to install pulseaudio-utils rsp. /usr/bin/pactl.

This will trigger the following error when launching X:
...
/usr/bin/start-pulseaudio-x11: line 26: /usr/bin/pactl: No such file or directory
...

Version-Release number of selected component (if applicable):
- Current rawhide
- pulseaudio-0.9.13-6.fc10.i386
- pulseaudio-utils-0.9.13-6.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. yum remove pulseaudio-utils
2. yum install pulseaudio
3. launch X
  
Actual results:
Malfunction.

Expected results:
Function.

Additional info:
Comment 1 Bug Zapper 2008-11-26 00:22:44 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Lennart Poettering 2008-12-18 10:01:11 EST
Fixed in CVS, this will be part of the next version of the PA packages which I will upload shortly to F10 and rawhide.

Note You need to log in before you can comment on or make changes to this bug.